---
title: String.prototype.valueOf()
slug: Web/JavaScript/Reference/Global_Objects/String/valueOf
tags:
  - JavaScript
  - Method
  - Prototype
  - Reference
  - String
---
<div>{{JSRef}}</div>

<p>The <strong><code>valueOf()</code></strong> method returns the primitive value of a {{jsxref("String")}} object.</p>

<div>{{EmbedInteractiveExample("pages/js/string-valueof.html")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><code><var>str</var>.valueOf()</code></pre>

<h3 id="Return_value">Return value</h3>

<p>A string representing the primitive value of a given {{jsxref("String")}} object.</p>

<h2 id="Description">Description</h2>

<p>The <code>valueOf()</code> method of {{jsxref("String")}} returns the primitive value of a {{jsxref("String")}} object as a string data type. This value is equivalent to {{jsxref("String.prototype.toString()")}}.</p>

<p>This method is usually called internally by JavaScript and not explicitly in code.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_valueOf">Using <code>valueOf()</code></h3>

<pre class="brush: js">var x = new String('Hello world');
console.log(x.valueOf()); // Displays 'Hello world'
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
  </tr>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-string.prototype.valueof', 'String.prototype.valueOf')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("javascript.builtins.String.valueOf")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("String.prototype.toString()")}}</li>
 <li>{{jsxref("Object.prototype.valueOf()")}}</li>
</ul>
